Skip to main content
GET
/
api
/
public
/
v1
/
assets
/
{symbol}
Get information about a specific asset
curl --request GET \
  --url https://api.wallbit.io/api/public/v1/assets/{symbol} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.wallbit.io/api/public/v1/assets/{symbol}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.wallbit.io/api/public/v1/assets/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "symbol": "AAPL",
    "name": "Apple Inc.",
    "price": 175.5,
    "asset_type": "Stock",
    "exchange": "NASDAQ",
    "sector": "Technology",
    "market_cap_m": "2750000",
    "description": "Apple Inc. designs, manufactures, and markets smartphones...",
    "description_es": "Apple Inc. designs, manufactures, and markets smartphones...",
    "country": "United States",
    "ceo": "Tim Cook",
    "employees": "164000",
    "logo_url": "https://static.atomicvest.com/AAPL.svg",
    "dividend": {
      "amount": 0.24,
      "yield": 0.52,
      "ex_date": "2024-02-09",
      "payment_date": "2024-02-15"
    }
  }
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Obtain your API key from the Wallbit dashboard under Settings → API Keys.

Path Parameters

symbol
string
required

Asset symbol

Example:

"AAPL"

Response

Asset information retrieved successfully

data
object